Subject: bug#52569: 29.0.50; Wishlist: There should be a way for packages to handle files without reading them in first

From: Stefan Kangas <[email-masked]>
Date: Sun, 19 Dec 2021 12:00:06 -0800

Juri Linkov <[email-masked]> writes:

>> This would be useful for large files like .sqlite and images.
>
> I'm not sure about images since some image formats are editable,
> like .svg, .xpm, .ps...  Only .pdf with in doc-view-mode could have
> this optimization of not loading the whole file.  Also archive files
> could benefit from this optimization.

This would improve performance, right?  If yes, I think this is sorely
needed for opening images in Emacs (though there are other things to
improve as well).  I think the editable image formats are in the
minority, so we could always handle them differently.

> Or when it returns t, this could mean that the function displayed
> the buffer in some other way, for example, by calling an external command.

Yes, that would be very nice.  I have wanted something like that to
replace the openwith package in my own use.